# SPEC file for Fedora/Red Hat
# Linagora PKI - CA certificates - 2012

%global pkidir %{_sysconfdir}/pki

Name:           ca-linagora
Version:        2012
Release:        1
Summary:        Linagora CA certificates

Group:          System Environment/Base
License:        UNKNOWN
# http://pki.linagora.com/
# http://pki.si.team.services.par.lng/
# https://wiki.linagora.com/groupe/pki/
URL:            http://www.linagora.com/
Source0:        LINAGORA-Root-CA.crt
Source1:        LINAGORA-Service-CA.crt
Source2:        LINAGORA-Collab-CA.crt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%global class_root %(openssl x509 -hash -noout -in %{SOURCE0})
%global class_service %(openssl x509 -hash -noout -in %{SOURCE1})
%global class_collab %(openssl x509 -hash -noout -in %{SOURCE2})


BuildRequires: openssl
BuildArch: noarch

Requires(post): /usr/bin/certutil
Requires(preun): /usr/bin/certutil


%description
CA certificates of Linagora PKI (2012).


%prep
#Nothing to prep


%build
#Nothing to build


%install
rm -rf $RPM_BUILD_ROOT

# Root CA
%{__install} -D -p -m 0644 %{SOURCE0} \
    %{buildroot}%{pkidir}/tls/certs/LINAGORA-Root-CA.crt
%{__ln_s} LINAGORA-Root-CA.crt %{buildroot}%{pkidir}/tls/certs/%{class_root}.0

# Service CA
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{pkidir}/tls/certs/LINAGORA-Service-CA.crt
%{__ln_s} LINAGORA-Service-CA.crt %{buildroot}%{pkidir}/tls/certs/%{class_service}.0

# Collab CA
%{__install} -D -p -m 0644 %{SOURCE2} \
    %{buildroot}%{pkidir}/tls/certs/LINAGORA-Collab-CA.crt
%{__ln_s} LINAGORA-Collab-CA.crt %{buildroot}%{pkidir}/tls/certs/%{class_collab}.0


%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/certutil -A -d sql:%{pkidir}/nssdb -t "CT,C,C" -n "LINAGORA Root CA" -i \
 %{pkidir}/tls/certs/LINAGORA-Root-CA.crt &>/dev/null
/usr/bin/certutil -A -d sql:%{pkidir}/nssdb -t "c,c,c" -n "LINAGORA Service CA" -i \
 %{pkidir}/tls/certs/LINAGORA-Service-CA.crt &>/dev/null
/usr/bin/certutil -A -d sql:%{pkidir}/nssdb -t "c,c,c" -n "LINAGORA Collab CA" -i \
 %{pkidir}/tls/certs/LINAGORA-Collab-CA.crt &>/dev/null \
  || :

%preun
if [ $1 = 0 ] ; then
  /usr/bin/certutil -d sql:%{pkidir}/nssdb -D -n "LINAGORA Root CA" &>/dev/null
  /usr/bin/certutil -d sql:%{pkidir}/nssdb -D -n "LINAGORA Service CA" &>/dev/null
  /usr/bin/certutil -d sql:%{pkidir}/nssdb -D -n "LINAGORA Collab CA" &>/dev/null
fi || :

%files
%defattr(-,root,root,-)
%doc
%config %{pkidir}/tls/certs/LINAGORA-Root-CA.crt
%{pkidir}/tls/certs/%{class_root}.0
%config %{pkidir}/tls/certs/LINAGORA-Service-CA.crt
%{pkidir}/tls/certs/%{class_service}.0
%config %{pkidir}/tls/certs/LINAGORA-Collab-CA.crt
%{pkidir}/tls/certs/%{class_collab}.0


%changelog
* Tue Jan 23 2013 David Carella <dcarella@linagora.com> - 2013-1
- Update for PKI 2012.
* Mon Apr 26 2010 Nicolas Chauvet <nchauvet@linagora.com> - 2007-1
- Initial spec file.
